Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1945621 - Review Request: python-sport-activities-features - Extracting features from sport activity files
Summary: Review Request: python-sport-activities-features - Extracting features from s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-04-01 13:02 UTC by Iztok Fister Jr.
Modified: 2021-04-26 13:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-26 13:55:39 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Iztok Fister Jr. 2021-04-01 13:02:55 UTC
Spec URL: https://raw.githubusercontent.com/firefly-cpp/rpm-sport-activities-features/main/python-sport-activities-features.spec
SRPM URL: https://github.com/firefly-cpp/rpm-sport-activities-features/raw/main/python-sport-activities-features-0.1.2-1.fc33.src.rpm
Description: A minimalistic toolbox for extracting features 
from sport activity files written in Python.
Fedora Account System Username: iztokf

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=64960682

Comment 1 Robert-André Mauchin 🐧 2021-04-01 18:18:04 UTC
 - Add a comment above the patch to explain why it is needed

 - Why do you drop all version requirement with that patch? Shouldn't the be necessary to ensure correct function of the library? Apparently the version in Fedora correspond to the requirements.

 - Apparently this file is not correctly removed:

python-sport-activities-features-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-sport-activities-features-doc/html/.buildinfo

You missed an underscore here before "build":

rm -rf docs/_build/html/{.doctrees,.buildinfo} -vf

 - Explicitly add a BR for python3-devel

 - This is not necessary: PYTHONPATH=%{buildroot}/%{python3_sitelib}
There is no file at that point in this directory.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "*No copyright* Expat
     License". 52 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-sport-activities-
     features/review-python-sport-activities-features/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-sport-activities-features
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-sport-activities-features-0.1.2-1.fc35.noarch.rpm
          python-sport-activities-features-doc-0.1.2-1.fc35.noarch.rpm
          python-sport-activities-features-0.1.2-1.fc35.src.rpm
python3-sport-activities-features.noarch: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
python-sport-activities-features-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-sport-activities-features-doc/html/.buildinfo
python-sport-activities-features.src: W: spelling-error %description -l en_US minimalistic -> minimalist, minimalism, animistic
python-sport-activities-features.src:69: W: rpm-buildroot-usage %build PYTHONPATH=%{buildroot}/%{python3_sitelib} make -C docs SPHINXBUILD=sphinx-build-3 html
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 2 Iztok Fister Jr. 2021-04-01 20:51:11 UTC
Thank you for your review!

New version:
Spec URL: https://raw.githubusercontent.com/firefly-cpp/rpm-sport-activities-features/main/python-sport-activities-features.spec
SRPM URL: https://github.com/firefly-cpp/rpm-sport-activities-features/raw/main/python-sport-activities-features-0.1.2-1.fc33.src.rpm

Revision comments:

1. Patch was removed. You are right. Requirements of upstream are consistent with Fedora packages.

2. Underscore was added to the path.

3. python3-devel was added to the BR

4. PYTHONPATH was removed.

Comment 3 Robert-André Mauchin 🐧 2021-04-01 21:01:25 UTC
Package approved.

Comment 4 Gwyn Ciesla 2021-04-02 13:17:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-sport-activities-features


Note You need to log in before you can comment on or make changes to this bug.